curl --request PATCH \
--url https://api.sigmamind.ai/v1/mock-tool-data/{mockToolDataId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "Success - Order Confirmed",
"request": {
"order_id": "1073460023"
},
"response": {
"order": {
"id": 1073460023,
"confirmation_number": "A50GQT45C",
"confirmed": true,
"created_at": "2026-07-01T16:34:26.000Z",
"currency": "EUR",
"current_subtotal_price": "224.97",
"current_subtotal_price_set": {
"shop_money": {
"amount": "224.97",
"currency_code": "EUR"
},
"presentment_money": {
"amount": "224.97",
"currency_code": "EUR"
}
}
}
},
"statusCode": 200,
"delay": 0,
"toolAlias": "get_order"
}
'import requests
url = "https://api.sigmamind.ai/v1/mock-tool-data/{mockToolDataId}"
payload = {
"name": "Success - Order Confirmed",
"request": { "order_id": "1073460023" },
"response": { "order": {
"id": 1073460023,
"confirmation_number": "A50GQT45C",
"confirmed": True,
"created_at": "2026-07-01T16:34:26.000Z",
"currency": "EUR",
"current_subtotal_price": "224.97",
"current_subtotal_price_set": {
"shop_money": {
"amount": "224.97",
"currency_code": "EUR"
},
"presentment_money": {
"amount": "224.97",
"currency_code": "EUR"
}
}
} },
"statusCode": 200,
"delay": 0,
"toolAlias": "get_order"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Success - Order Confirmed',
request: {order_id: '1073460023'},
response: {
order: {
id: 1073460023,
confirmation_number: 'A50GQT45C',
confirmed: true,
created_at: '2026-07-01T16:34:26.000Z',
currency: 'EUR',
current_subtotal_price: '224.97',
current_subtotal_price_set: {
shop_money: {amount: '224.97', currency_code: 'EUR'},
presentment_money: {amount: '224.97', currency_code: 'EUR'}
}
}
},
statusCode: 200,
delay: 0,
toolAlias: 'get_order'
})
};
fetch('https://api.sigmamind.ai/v1/mock-tool-data/{mockToolDataId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mockToolDataId": "mock_dpKjqjKnY3z6gABF",
"name": "Success - Order Confirmed",
"toolId": "tool_X9pLm2Wq8Rt3",
"toolAlias": "get_order",
"toolName": "Get Order",
"request": {
"order_id": "1073460023"
},
"response": {
"order": {
"id": 1073460023,
"confirmation_number": "A50GQT45C",
"confirmed": true,
"created_at": "2026-07-01T16:34:26.000Z",
"currency": "EUR",
"current_subtotal_price": "224.97",
"current_subtotal_price_set": {
"shop_money": {
"amount": "224.97",
"currency_code": "EUR"
},
"presentment_money": {
"amount": "224.97",
"currency_code": "EUR"
}
}
}
},
"statusCode": 200,
"delay": 500
}{
"error": "Bad Request",
"message": "Invalid request parameters",
"path": "/v1/mock-tool-data",
"status": 400,
"timestamp": "2026-09-15T06:22:16.869Z"
}{
"error": "Unauthorized",
"message": "X-API-Key is missing or invalid",
"path": "/v1/mock-tool-data",
"status": 401,
"timestamp": "2026-09-15T06:22:16.869Z"
}{
"error": "Forbidden",
"message": "Access denied for this resource",
"path": "/v1/mock-tool-data",
"status": 403,
"timestamp": "2026-09-15T06:22:16.869Z"
}{
"error": "Not Found",
"message": "The requested resource was not found",
"path": "/v1/mock-tool-data",
"status": 404,
"timestamp": "2026-09-15T06:22:16.869Z"
}{
"error": "Internal Server Error",
"message": "Unexpected server error",
"path": "/v1/mock-tool-data",
"status": 500,
"timestamp": "2026-09-15T06:22:16.869Z"
}Update Mock Tool Data
Partially updates a mock tool data record. Only provided fields are changed.
Authorizations
Authenticate every request by passing your API key in the X-API-Key header. To get your key, go to Dashboard → API Keys and create or copy your Production API key.
Path Parameters
Unique identifier of the mock tool data record.
Body
Partial update for a mock tool data library record. Only provided fields are updated.
Human-readable name for this mock.
"Success - Order Confirmed"
Optional request payload associated with this mock.
{ "order_id": "1073460023" }
Mocked HTTP response body.
{
"order": {
"id": 1073460023,
"confirmation_number": "A50GQT45C",
"confirmed": true,
"created_at": "2026-07-01T16:34:26.000Z",
"currency": "EUR",
"current_subtotal_price": "224.97",
"current_subtotal_price_set": {
"shop_money": {
"amount": "224.97",
"currency_code": "EUR"
},
"presentment_money": {
"amount": "224.97",
"currency_code": "EUR"
}
}
}
}
HTTP status code to return when this mock is used.
200
Artificial delay in milliseconds before returning the mock response.
0
Agent tool alias this mock belongs to.
"get_order"
Response
OK
A mock tool response stored in the tenant mock library.
Public identifier of the mock tool data record.
"mock_dpKjqjKnY3z6gABF"
Human-readable name for this mock.
"Success - Order Confirmed"
Public identifier of the integration tool this mock belongs to.
"tool_X9pLm2Wq8Rt3"
Agent tool alias this mock was created against.
"get_order"
Display name of the tool at the time the mock was created.
"Get Order"
Request payload (or placeholders) associated with this mock.
{ "order_id": "1073460023" }
Mocked HTTP response body.
{
"order": {
"id": 1073460023,
"confirmation_number": "A50GQT45C",
"confirmed": true,
"created_at": "2026-07-01T16:34:26.000Z",
"currency": "EUR",
"current_subtotal_price": "224.97",
"current_subtotal_price_set": {
"shop_money": {
"amount": "224.97",
"currency_code": "EUR"
},
"presentment_money": {
"amount": "224.97",
"currency_code": "EUR"
}
}
}
}
HTTP status code returned when this mock is used.
200
Artificial delay in milliseconds before returning the mock response.
500